QID 375526

Date Published: 2021-05-05

QID 375526: Microsoft Edge Based On Chromium Prior to 90.0.818.51 Multiple Vulnerabilities

Microsoft Edge is a cross-platform web browser developed by Microsoft.

Microsoft Edge based on Chromium is affected by the following vulnerabilities:
CVE-2021-21227: Insufficient data validation in V8.
CVE-2021-21228: Insufficient policy enforcement in extensions.
CVE-2021-21229: Incorrect security UI in downloads.
CVE-2021-21230: Type Confusion in V8.
CVE-2021-21231: Insufficient data validation in V8.
CVE-2021-21232: Use after free in Dev Tools.
CVE-2021-21233: Heap buffer overflow in ANGLE.
QID Detection Logic: (authenticated)
Operating System: Windows
The install path is checked via registry "HKLM\SOFTWARE\Clients\StartMenuInternet\Microsoft Edge\shell\open\command". The version is checked via file msedge.exe.

Successful exploitation of these vulnerabilities may allow an attacker to execute arbitrary code on target system.

  • CVSS V3 rated as Critical - 8.8 severity.
  • CVSS V2 rated as High - 6.8 severity.
  • Solution
    Customers are advised to upgrade to version
    For further details refer to 90.0.818.51 or later
    Software Advisories
    Advisory ID Software Component Link
    CVE-2021-21227 URL Logo msrc.microsoft.com/update-guide/vulnerability/CVE-2021-21227